Up

# NSParagraphStyle

### Authors

Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

> NSParagraphStyle and NSMutableParagraphStyle hold paragraph style information NSTextTab holds information about a single tab stop

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSMutableParagraphStyle class
2. Software documentation for the NSParagraphStyle class
3. Software documentation for the NSTextTab class

# Software documentation for the NSMutableParagraphStyle class

## NSMutableParagraphStyle : NSParagraphStyle

> Declared in:
>   AppKit/NSParagraphStyle.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addTabStop:
- -removeTabStop:
- -setAlignment:
- -setBaseWritingDirection:
- -setFirstLineHeadIndent:
- -setHeadIndent:
- -setLineBreakMode:
- -setLineSpacing:
- -setMaximumLineHeight:
- -setMinimumLineHeight:
- -setParagraphSpacing:
- -setParagraphStyle:
- -setTabStops:
- -setTailIndent:

### addTabStop:

- (void) addTabStop: (NSTextTab*)anObject;

Description forthcoming.

### removeTabStop:

- (void) removeTabStop: (NSTextTab*)anObject;

Description forthcoming.

### setAlignment:

- (void) setAlignment: (NSTextAlignment)newAlignment;

Description forthcoming.

### setBaseWritingDirection:

- (void) setBaseWritingDirection: (NSWritingDirection)direction;

Description forthcoming.

### setFirstLineHeadIndent:

- (void) setFirstLineHeadIndent: (float)aFloat;

Description forthcoming.

### setHeadIndent:

- (void) setHeadIndent: (float)aFloat;

Description forthcoming.

### setLineBreakMode:

- (void) setLineBreakMode: (NSLineBreakMode)mode;

Description forthcoming.

### setLineSpacing:

- (void) setLineSpacing: (float)aFloat;

Description forthcoming.

### setMaximumLineHeight:

- (void) setMaximumLineHeight: (float)aFloat;

Description forthcoming.

### setMinimumLineHeight:

- (void) setMinimumLineHeight: (float)aFloat;

Description forthcoming.

### setParagraphSpacing:

- (void) setParagraphSpacing: (float)aFloat;

Description forthcoming.

### setParagraphStyle:

- (void) setParagraphStyle: (NSParagraphStyle*)obj;

Description forthcoming.

### setTabStops:

- (void) setTabStops: (NSArray*)array;

Description forthcoming.

### setTailIndent:

- (void) setTailIndent: (float)aFloat;

Description forthcoming.

# Software documentation for the NSParagraphStyle class

## NSParagraphStyle : NSObject

> Declared in:
>   AppKit/NSParagraphStyle.h

> Conforms to:
>   NSCopying
>   NSMutableCopying
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +defaultParagraphStyle
- +defaultWritingDirectionForLanguage:
- -alignment
- -baseWritingDirection
- -firstLineHeadIndent
- -headIndent
- -lineBreakMode
- -lineSpacing
- -maximumLineHeight
- -minimumLineHeight
- -paragraphSpacing
- -tabStops
- -tailIndent

### defaultParagraphStyle

+ (NSParagraphStyle*) defaultParagraphStyle;

Description forthcoming.

### defaultWritingDirectionForLanguage:

+ (NSWritingDirection) defaultWritingDirectionForLanguage: (NSString*)language;

Description forthcoming.

### alignment

- (NSTextAlignment) alignment;

Description forthcoming.

### baseWritingDirection

- (NSWritingDirection) baseWritingDirection;

Description forthcoming.

### firstLineHeadIndent

- (float) firstLineHeadIndent;

Description forthcoming.

### headIndent

- (float) headIndent;

Description forthcoming.

### lineBreakMode

- (NSLineBreakMode) lineBreakMode;

Description forthcoming.

### lineSpacing

- (float) lineSpacing;

Description forthcoming.

### maximumLineHeight

- (float) maximumLineHeight;

Description forthcoming.

### minimumLineHeight

- (float) minimumLineHeight;

Description forthcoming.

### paragraphSpacing

- (float) paragraphSpacing;

Description forthcoming.

### tabStops

- (NSArray*) tabStops;

Description forthcoming.

### tailIndent

- (float) tailIndent;

Description forthcoming.

# Software documentation for the NSTextTab class

## NSTextTab : NSObject

> Declared in:
>   AppKit/NSParagraphStyle.h

> Conforms to:
>   NSCopying

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -initWithType:location:
- -location
- -tabStopType

### initWithType:location:

- (id) initWithType: (NSTextTabType)type location: (float)loc;

Description forthcoming.

### location

- (float) location;

Description forthcoming.

### tabStopType

- (NSTextTabType) tabStopType;

Description forthcoming.

Up